MainStage 3.5 and Logic 10.6

⚠️ Compatibility Warning for MainStage 3.5 and Logic Pro 10.6

All of the products by That Worship Sound are compatible with the most recent releases of MainStage and Logic Pro.

While our products are compatible with these updates, we still recommend NOT updating since MainStage and Logic are a bit buggy. And as always, do not update to any of these new software versions until you can verify that all of the software and hardware you use on a regular basis is compatible.

If you do want to go ahead and try the new MainStage or Logic Pro, update responsibly by having a backup of the older version.  Check out our support page on this topic here.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.

Still need help? Contact Us Contact Us